<?php
/*
Plugin Name: WP Viral Click
Plugin URI:
Description: This plugin is used to get instant content, instant authority, and an easy way to get both traffic and clicks!
Version: 1.0
Author: InstaPRoduct
Author URI: http://insta-product.com/
*/

/*
    LICENSE: This source file to be part of a system developed by InstaPRoduct.
    All copyrights use this file and the code in it owned by InstaPRoduct.
    It is strictly forbidden to use, copy, modify or distribute this file and
    the code in it without the permission of the developer.
*/

//
//Define constant
define( 'IPJCK_TITLE', 'WP Viral Click' );
define( 'IPJCK_DESC', 'This plugin is used to get instant content, instant authority, and an easy way to get both traffic and clicks!' );

define( 'IPJCK_FILE', __FILE__ );
define( 'IPJCK_PATH', plugin_dir_path( __FILE__ ) );
define( 'IPJCK_BASE_URL', plugin_dir_url( __FILE__ ) );
define( 'IPJCK_APP',  IPJCK_PATH . 'app/'  );
define( 'IPJCK_CTRL', IPJCK_APP . 'controllers/'  );
define( 'IPJCK_LIB',  IPJCK_APP . 'libraries/'  );
define( 'IPJCK_VIEW', IPJCK_APP . 'views/'  );
define( 'IPJCK_PAGENAME', 'wp-viral-click'  );
define( 'IPJCK_SLUG', 'wp-viral-click'  );

//
//Include application file and run all function
require_once( IPJCK_APP . 'app.php' );
IPJck_App::run();
